using Core.Communication.Transport;
using PLC.Siemens.Protocol.Common;
using PLC.Siemens.Protocol.Header;
using PLC.Siemens.O;

namespace PLC.Siemens.Protocol.Control
{
    public class PlcColdStartRequest:IBuildRequest
    {
        public HeaderPacket Header { get; set; }
        public PlcColdStartParamsRequest Params { get; set; }

        public PlcColdStartRequest()
        {
            Header = new HeaderPacket();
            Params = new PlcColdStartParamsRequest();
        }

        public void Build()
        {
            Header.Build(PduType.Request, Params.PacketLength, 0x0000);
            Params.Build();
        }

        public ByteBuffer GetBuffer()
        {
            ByteBuffer buffer = ByteBuffer.Allocate();
            Header.GetByteBuffer(buffer);
            Params.GetByteBuffer(buffer);
            return buffer;
        }
    }
}