using Core.Communication.Transport;
using Core.Util.Extension;
using PLC.Siemens.Protocol.Header;
using PLC.Siemens.Protocol.Iso;
using PLC.Siemens.O;

namespace PLC.Siemens.Protocol.WriteData
{
    public class WriteResponse:IBuildResponse
    {
        public HeaderPacketWithErrorCode Header { get; set; }
        public WriteParamsResponse Params { get; set; }
        public WriteItemResponse[] Data { get; set; }

        public WriteResponse()
        {
            Header = new HeaderPacketWithErrorCode();
            Params = new WriteParamsResponse();
        }

        public void Build(ByteBuffer buffer)
        {
            Header.Build(buffer);
            Params.Build(buffer);

            Data = new WriteItemResponse[Params.ItemCount];
            for (int i = 0; i < Params.ItemCount; i++)
            {
                Data[i] = new WriteItemResponse();
                Data[i].Build(buffer);
            }
        }
    }
}