using System;
using PLC.Siemens.Protocol.Common;
using PLC.Siemens.Protocol.Control;
using PLC.Siemens.Protocol.DateTime;
using PLC.Siemens.O;

namespace PLC.Siemens.ProtocolHandle
{
    public class CompressHandle:IPacketHandle
    {
        public CompressRequest Request { get; set; }

        public ControlResponse Response { get; set; }

        public ResultCode ResultCode { get; set; }

        public CompressHandle()
        {
            Request = new CompressRequest();
        }

        public void Handle(IIsoSender sender)
        {
            Response = sender.IsoSend<CompressRequest, ControlResponse>(Request);

            if(Response==null) return;

            ResultCode = Response.Header.Error;
        }

    }
}