using System;
using PLC.Siemens.Protocol.Common;
using PLC.Siemens.Protocol.Control;
using PLC.Siemens.Protocol.DateTime;
using PLC.Siemens.O;

namespace PLC.Siemens.ProtocolHandle
{
    public class CopyRamToRomHandle:IPacketHandle
    {
        public CopyRamToRomRequest Request { get; set; }

        public ControlResponse Response { get; set; }

        public ResultCode ResultCode { get; set; }

        public CopyRamToRomHandle()
        {
            ResultCode = ResultCode.Unknown;
            Request = new CopyRamToRomRequest();
        }


        public void Handle(IIsoSender sender)
        {
            Response = sender.IsoSend<CopyRamToRomRequest, ControlResponse>(Request);
            if(Response==null) return;
            
            ResultCode = Response.Header.Error;
        }
    }
}