using System;
using PLC.Siemens.Protocol.Common;
using PLC.Siemens.Protocol.ListBlocks;
using PLC.Siemens.O;

namespace PLC.Siemens.ProtocolHandle
{
    public class DataBlockInfoHandle:IPacketHandle
    {
        public DataBlockInfoRequest Request { get; set; }
        public DataBlockInfoResponse Response { get; set; }
        public BlockType BlockType { get; set; }
        public ushort DB { get; set; }

        public ResultCode ResultCode { get; set; }

        public DataBlockInfoHandle()
        {
            ResultCode = ResultCode.Unknown;
            Request = new DataBlockInfoRequest();
        }

        public void Handle(IIsoSender sender)
        {
            Request.BlockType = BlockType;
            Request.DB = DB;
            Response = sender.IsoSend<DataBlockInfoRequest, DataBlockInfoResponse> (Request);

            if(Response==null) return;
            
            ResultCode = Response.Params.Err;
        }
    }
}