using System;
using PLC.Siemens.Protocol.Common;
using PLC.Siemens.Protocol.Control;
using PLC.Siemens.Protocol.DateTime;
using PLC.Siemens.O;

namespace PLC.Siemens.ProtocolHandle
{
    public class PlcHotStartHandle:IPacketHandle
    {
        public PlcHotStartRequest Request { get; set; }
        public ControlResponse Response { get; set; }

        public ResultCode ResultCode { get; set; }

        public PlcHotStartHandle()
        {
            ResultCode = ResultCode.Unknown;
            Request = new PlcHotStartRequest();
        }

        public void Handle(IIsoSender sender)
        {
            Response = sender.IsoSend<PlcHotStartRequest, ControlResponse>(Request);

            if(Response==null) return;

            ResultCode = Response.Header.Error;
        }
    }
}