﻿using System;
using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol
{
    [DataContract]
    public class WCS_AGVTask
    {
        [DataMember(Order = 0)]
        public int ID { get; set; }

        [DataMember(Order = 1)]
        [StringLength(20)]
        public string AGVID { get; set; }

        [DataMember(Order = 2)]
        public AGVTaskType TaskType { get; set; }

        [DataMember(Order = 3)]
        public AGVTaskStatus Status { get; set; }

        [DataMember(Order = 4)]
        public AGVTaskStatus AGVStatus { get; set; }

        [DataMember(Order = 5)]
        public int Workshop { get; set; }

        [DataMember(Order = 6)]
        [StringLength(20)]
        public string Station { get; set; }

        [DataMember(Order = 7)]
        [StringLength(20)]
        [Required]
        public string Position { get; set; }

        [DataMember(Order = 8)]
        public DateTime CreateTime { get; set; }

        [DataMember(Order = 9)]
        public DateTime? UpdateTime { get; set; }

        [DataMember(Order = 10)]
        public DateTime? AGVUpdateTime { get; set; }

        /// <summary>
        /// 货物数量(1.两个位置放1个货物，2.两个位置放2个货物）
        /// </summary>
        [DataMember(Order = 11)]
        public int Goodsnum { get; set; }
    }

    public enum AGVTaskStatus
    {
        新建 = 0,
        确认 = 5,
        执行 = 10,
        请求_允许 = 20,
        取放完成 = 21,
        请求_允许2 = 30,
        取放完成2 = 31,
        完成 = 99,
        完成扫码 = 100,
        取消 = 106
    }

    public enum AGVTaskType
    {
        入库 = 1,
        叫料 = 2
    }
}