﻿using System;

namespace WCS.Service.Extensions
{
    public static class TypeExtension
    {
        /// <summary>
        /// 将字符串转换为short
        /// </summary>
        /// <param name="txt">需要转换的字符串</param>
        /// <returns></returns>
        public static short ToShort(this string value)
        {
            return Convert.ToInt16(value);
        }

        /// <summary>
        /// 将int转换为short
        /// </summary>
        /// <param name="txt">需要转换的字符串</param>
        /// <returns></returns>
        public static short ToShort(this int value)
        {
            return Convert.ToInt16(value);
        }

        /// <summary>
        /// 将decimal转换为short
        /// </summary>
        /// <param name="txt">需要转换的字符串</param>
        /// <returns></returns>
        public static short ToShort(this decimal value)
        {
            return Convert.ToInt16(value);
        }

        /// <summary>
        /// 将字符串转换为int
        /// </summary>
        /// <param name="txt">需要转换的字符串</param>
        /// <returns></returns>
        public static int ToInt(this string value)
        {
            return Convert.ToInt32(value);
        }

        /// <summary>
        /// 判断值为奇数/偶数
        /// </summary>
        /// <param name="value">需要判断的值</param>
        /// <returns> true:是奇数   false:是偶数</returns>
        public static bool OddNumberOrEven(this short value)
        {
            if (value % 2 == 0) return false;
            else return true;
        }

        /// <summary>
        /// 获取short类型Code，只限设备组
        /// </summary>
        /// <param name="value"></param>
        /// <returns></returns>
        public static short GetShortCode(this string value)
        {
            return value.Replace("G", "").ToShort();
        }
    }
}