﻿using DBHelper;
using System;
using WCS.Entity;
using WCS.Entity.Protocol;
using WCS.Service.Log;

namespace WCS.Service.Extensions
{
    public static class WCS_TaskExtensions
    {
        /// <summary>
        /// 任务发生状态变更时，为任务新增状态变更记录
        /// </summary>
        /// <param name="task">对应任务</param>
        /// <param name="db">db链接， 没有从新构造一个db的原因是为了保证状态记录的增加与任务状态的变更是同步的</param>
        /// <param name="msg">需要记录的消息</param>
        public static void CreateStatusLog(this WCS_TASK task, DB db, string msg, Type cl)
        {
            try
            {
                WCS_StatusLog statusLog = new WCS_StatusLog()
                {
                    WCS_TASKID = task.ID,
                    NewStatus = task.STATUS,
                    UPDATETIME = DateTime.Now,
                    upStatus = task.UPLOADED,
                    Node = cl.FullName,
                    UPDATEUSER = "WCS",
                    msg = msg,
                };
                db.Default.Add(statusLog);
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
            }
        }

        public static void infolog(this string code, string msg)
        {
            if (code == "G1190")
            {
                InfoLog.INFO_ERRORCHECK(msg);
                //InfoLog.INFO_ERRORCHECK($"{res.WMSTaskGroupKey}第一次分配:WMS返回{JsonConvert.SerializeObject(tunnels)}。");
                //InfoLog.INFO_ERRORCHECK($"{res.WMSTaskGroupKey}第一次分配:WCS选择{tunnelInfo.Tunnel.CODE}。");
            }
        }
    }
}
