﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Text;
using WCS.Entity; 

namespace WCS.Core
{

    public interface IPLCAccessorCreater
    {
        IPLCAccessor Create(WCS_PLC data);
    }
    public interface IPLCAccessor
    {
        void WriteBytes(ushort db, ushort address, byte[] data);
        byte[] ReadBytes(ushort db, ushort address, ushort length);
    }

    public class PLCAccessor : EntityEx<WCS_PLC>
    {
        public static IPLCAccessorCreater Creater;
        public IPLCAccessor Accessor { get; private set; }
        public PLCAccessor(WCS_PLC entity) : base(entity)
        {
            Accessor = Creater.Create(entity);
        } 
    }
}
