﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Text;

namespace WCS.Entity
{
    public class WCS_DATABLOCK : OBJ
    {
        [NotMapped]
        public override int ID { get; set; }

        [Key]
        [Display(Name = "编号")]
        [MaxLength(20)]
        public string CODE { get; set; }

        [Display(Name = "名称")]
        [MaxLength(20)]
        public string NAME { get; set; }

        [Display(Name = "PLC")]
        public WCS_PLC PLC { get; set; }

        /// <summary>
        /// 西门子:DB520,其它:D0
        /// </summary>
        [Display(Name = "编号")] 
        public int NO { get; set; }

        [Display(Name = "总长度")]
        public int LENGTH { get; set; }

        [Display(Name = "结构体长度")]
        public int DATALENGTH { get; set; }

        [Display(Name = "协议类型")]
        [StringLength(200)]
        [Required]
        public string PROTOCOL{ get; set; }

        public bool NOUPDATE { get; set; }
         
        public Type GetProtocolType()
        {
            return Type.GetType(PROTOCOL);
        }
    }
}
