﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Text;

namespace WCS.Entity
{
    public class WCS_PLC : OBJ
    {
        [NotMapped]
        public override int ID { get; set; } 

        [Key]
        [Display(Name = "编号")]
        [MaxLength(20)]
        public string CODE { get; set; }

        [Display(Name = "名称")]
        [MaxLength(20)]
        public string NAME { get; set; }

        [Display(Name = "IP")]
        [MaxLength(20)]
        public string IP { get; set; }

        [Display(Name = "端口")]
        public int PORT { get; set; } = 102;

        [Display(Name = "插槽号")]
        public int SLOT { get; set; }

        [Display(Name = "机架号")]
        public int RACK { get; set; }

        [Display(Name = "厂商")]
        public PLCType TYPE { get; set; }

        [StringLength(10)]
        [Display(Name = "型号")]
        public string MODEL { get; set; } 


    }

    public enum PLCType
    { 
        西门子=1,
        三菱=2,
        AB=3,
        欧姆龙=4,
    }
}
