﻿using System;
using System.ComponentModel.DataAnnotations;

namespace WCS.Entity
{
    public class WCS_EXCEPTION : OBJ
    {
        [Display(Name = "异常信息")]
        [StringLength(1000)]
        public string MSG { get; set; }

        [Display(Name = "异常关联设备")]
        [StringLength(1000)]
        public string DEVICE { get; set; }

        /// <summary>
        /// 为了展示方便直接使用 WCS_EXCEPTIONTYPE 枚举的描述
        /// </summary>
        [Display(Name = "异常设备")]
        [StringLength(1000)]
        public string EXCEPTIONTYPE { get; set; }

        [Display(Name = "开始时间")]
        public DateTime STARTTIME { get; set; }

        [Display(Name = "发生次数")]
        public int TIMES { get; set; }
    }

    /// <summary>
    /// 异常类型
    /// </summary>
    public enum WCS_EXCEPTIONTYPE : uint
    {
        无 = 0,
        设备异常 = 10,
        逻辑异常 = 20,
        操作记录 = 30,
    }
}